commit:     2df1221d81aa414af5ace600f9f987f006f30fe1
Author:     Felix Janda <felix.janda <AT> posteo <DOT> de>
AuthorDate: Fri Sep 11 19:21:47 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Sep 11 19:32:37 2015 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=2df1221d

sys-devel/gdb: Bump to 7.9.1

x86 stabilized in anticipation (Bug 559056)

 sys-devel/gdb/Manifest                             |   8 +-
 .../gdb/files/gdb-7.5.1-amd64-linux-nat.patch      |  11 ---
 .../gdb/files/gdb-7.6-linux-low-threaddb.patch     |  34 -------
 .../{gdb-7.7.1-r99.ebuild => gdb-7.9.1-r99.ebuild} | 106 +++++++++++----------
 4 files changed, 61 insertions(+), 98 deletions(-)

diff --git a/sys-devel/gdb/Manifest b/sys-devel/gdb/Manifest
index 43bcc44..a121394 100644
--- a/sys-devel/gdb/Manifest
+++ b/sys-devel/gdb/Manifest
@@ -1,7 +1,5 @@
 AUX gdb-7.4-linux-nat.patch 778 SHA256 
26d5bb6567c66300cf59380da18e790ee5a5d20b7be3c90e4cd0012e244ba306 SHA512 
6aab4819bec533623b3b57e5fab43681693c350889c77749fa242b7d6131b6c026f029f5efca5d0b5ca162fa9c11cd00b18a402c05b44866de5e36bf8380f75e
 WHIRLPOOL 
ecb605f5e02d25416e8ab146bcade3aee0f6a5662557878176d9cb68d733c2e1433050e9a8389ce05cc79cdc0077b482fbed7d8a3e91c16994ecb3044b3f309f
-AUX gdb-7.5.1-amd64-linux-nat.patch 294 SHA256 
3cd462098d40ed19073dbf9ca208e6f82bfa6ec0dedcca0d881cbcd6f1627f91 SHA512 
86c0938f349fc122e275b9398690dabbae2253c018fa95b2b64584beb803bf343106dd39724a0783e6599af9496783ea0f12931dc4185c50103585a494fd3d94
 WHIRLPOOL 
bb6f3c33b921b2c356c31e996906cda2a97303a726e7eb9b676f43f3b8fac19dcc7d9576a04ee8989ee4b365316c667fe0a1947bba65dc43236698357d338510
-AUX gdb-7.6-linux-low-threaddb.patch 1013 SHA256 
bc5160a5d23565b8108c6324dea94af8b882121d01a322321fbed89196d55f6b SHA512 
3f73326ff33e3bb12eb10c6912d514bd8e4baa6855b7262e8acccccc3ef1c6c070704106fc65fed6518818e5da0c087070f036e6403ffb812113b11559970520
 WHIRLPOOL 
c6f590ebc638c31f740814d0bc9cac5ce03943d4c3a8f8786e2ccf60201361d079669173f8faa5d155fa530ffa59d02d086c4f66e7330837a2798ca4e8b18e68
-DIST gdb-7.7.1-patches-1.tar.xz 8600 SHA256 
336cdcb2c90da0ca970dc21dc0285a8cb1fbcf81af63c49ee3f3d45c0aef7200 SHA512 
427aba554e77ccfe9cdf5b0a833a1d64f1882e8f9e37d1288c5f2510cc63d154b4c22054a2a653d156e37044d7655937dee4a1a9cd0f9768abaafc8c34ae1cc0
 WHIRLPOOL 
d5db4b874475724ac62bae9f1b33c566192570dd68195fe1c2065b7502a36b06f5a64079a88c63a965392d87e9b7a8eb0c709578297d6692fdce1ee933a867f4
-DIST gdb-7.7.1.tar.bz2 24849503 SHA256 
0dbd5260406f1b0c70fcf027c6488527fadde0cd9bb574593491fe076eb03aa5 SHA512 
887b9b726dae8f6e3e5e41574460a67e4f9002b0d47bc985dcf63bdf3518397a90b6a208cb5b19e5ed2341715ad75cfeed4df4fb423f39f74218e36bc87f1cab
 WHIRLPOOL 
3b726d5f519167105248eb3a400be0d9bc70f72dbce9a04aa56a765b6c2ed9fc00a7c2e6ec72d0372f87bada1d74a40fc998c10a5322e2f3b5c8ea53c7ba6aa4
-EBUILD gdb-7.7.1-r99.ebuild 5967 SHA256 
9d5b4c30ec58c13d57404f9f7b6c3d429ab0d21d94ed2957b31aa1eeccda791e SHA512 
5e278577afd886cef054007437513aeb1a2311bd09ef4012df562eb6bd8a65e4db67ae0e7283c65ff1e4893e36247a7dfd381161b9733c98ab126e50773fbb92
 WHIRLPOOL 
8162a0ea2019510ad23dcd8b8138c99c3501d18917885be1962c947786d7eb064fea2eca4e23f6fa63840107605b7e8a9cd29362119bc0bcc66fadfdb72ebb0d
+DIST gdb-7.9.1.tar.xz 17867692 SHA256 
cd9c543a411a05b2b647dd38936034b68c2b5d6f10e0d51dc168c166c973ba40 SHA512 
eebdf88b24e52e792b8a4b89ea85790de72b462a7810b44975fdf4232c068f353b15506071f450102a9d4bcecdde8e93dc3748a10699b7f73f3e04fb2d9d8414
 WHIRLPOOL 
fe7afb392f453fa5aab290da3b74118c4e3bbae6f4e276f2efd7f978e3987e031d92ecd90d35e0531901f1cf68b04a313df050b25bb3b632d1b6e62360acd591
+EBUILD gdb-7.9.1-r99.ebuild 5942 SHA256 
eda617d3ddbf8c4e2fb35cb2ae06f7d48567e6a80f3b98434f0cfee8645db2db SHA512 
988ddd9d14a671dd77dbe3ad87cb816b69631f70280ed3dd586705544260dbf0579bc85714be6c067a9f2ed54180136f05fe8c02510fac991885f6751b5055a0
 WHIRLPOOL 
9cf42b82d51a8ed6eed65b80db7ba26c302cf5f4a7105276b86f9c93de07e382291b10fbe2150b1f3700a3f0640e850bc61fae8843600f282ff5e9bf4aaebcd4
+MISC 0001-sys-devel-gdb-Bump-to-7.9.1.patch 11828 SHA256 
df223b7e586d81951f907db3fe96bc8252507bd789f9bd72922bc4050f5d9a2b SHA512 
36a93cb99ec0578a2914bd4caef93540094513627c57aec48671628e5b74fcbeaca0b87490e7a96eecaaec63946bedc701c2ca0eee417e6f211a710fd8e418c7
 WHIRLPOOL 
25d44f687a6f14aa119a6acc45258beb22dd6f904727317a4606002b53e61854d7204efc31b4b24f236732677121e581add2816f58d6c89bc04566072156d77c
 MISC metadata.xml 552 SHA256 
e86791dadf315a7a079e460854bcc4a28d7c69a93694efc85014b325824b81cf SHA512 
bb4901b011b63137fb7e359ff657fbe8aa2bd7d36a78be397c163a0bd37486a32bddf4929ab5a2a3b7b7d52f3c2edd69ce18d4bb5e2f56b45d43bb59cb54f686
 WHIRLPOOL 
214e51279eed4230ed8cba15e42581213428ff06c32ad7832b17c1af6c2eae351a843aae51d78a99486b5bbfea2369faa4aaa4b99cae1ce7a41da5748d8e2211

diff --git a/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch 
b/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch
deleted file mode 100644
index 13459ad..0000000
--- a/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/gdb-7.5.1/gdb/amd64-linux-nat.c
-+++ b/gdb-7.5.1/gdb/amd64-linux-nat.c
-@@ -31,7 +31,7 @@
- #include "elf/common.h"
- #include <sys/uio.h>
- #include <sys/ptrace.h>
--#include <sys/debugreg.h>
-+#include <asm/debugreg.h>
- #include <sys/syscall.h>
- #include <sys/procfs.h>
- #include <sys/user.h>

diff --git a/sys-devel/gdb/files/gdb-7.6-linux-low-threaddb.patch 
b/sys-devel/gdb/files/gdb-7.6-linux-low-threaddb.patch
deleted file mode 100644
index 4b0f1aa..0000000
--- a/sys-devel/gdb/files/gdb-7.6-linux-low-threaddb.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-taken from sabotage linux
-
-this patch fixes compilation of gdbserver on systems that don't have
-thread_db.h. in that case we fall back to gdb's own copy 
-"gdb_thread_db.h", so the typedef of the td_thrhandle_t member is 
-available, which is accessed in other parts of the code without
-checking whether thread_db.h is available.
-this is by far the cleaner solution, removing the accesses to the
-th member in other parts of the source would either litter it with
-ifdefs or cripple the functionality.
-
---- gdb-7.6.2.org/gdb/gdbserver/linux-low.h
-+++ gdb-7.6.2/gdb/gdbserver/linux-low.h
-@@ -18,6 +18,8 @@
- 
- #ifdef HAVE_THREAD_DB_H
- #include <thread_db.h>
-+#else
-+#include "gdb_thread_db.h"
- #endif
- #include <signal.h>
- 
-@@ -270,11 +272,9 @@
-   int need_step_over;
- 
-   int thread_known;
--#ifdef HAVE_THREAD_DB_H
-   /* The thread handle, used for e.g. TLS access.  Only valid if
-      THREAD_KNOWN is set.  */
-   td_thrhandle_t th;
--#endif
- 
-   /* Arch-specific additions.  */
-   struct arch_lwp_info *arch_private;

diff --git a/sys-devel/gdb/gdb-7.7.1-r99.ebuild 
b/sys-devel/gdb/gdb-7.9.1-r99.ebuild
similarity index 73%
rename from sys-devel/gdb/gdb-7.7.1-r99.ebuild
rename to sys-devel/gdb/gdb-7.9.1-r99.ebuild
index b588707..b8dcce4 100644
--- a/sys-devel/gdb/gdb-7.7.1-r99.ebuild
+++ b/sys-devel/gdb/gdb-7.9.1-r99.ebuild
@@ -1,16 +1,16 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.7.1.ebuild,v 1.10 
2014/11/04 20:15:26 maekke Exp $
+# $Id$
 
-EAPI="4"
+EAPI="5"
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 
 inherit flag-o-matic eutils python-single-r1
 
 export CTARGET=${CTARGET:-${CHOST}}
 if [[ ${CTARGET} == ${CHOST} ]] ; then
-       if [[ ${CATEGORY/cross-} != ${CATEGORY} ]] ; then
-               export CTARGET=${CATEGORY/cross-}
+       if [[ ${CATEGORY} == cross-* ]] ; then
+               export CTARGET=${CATEGORY#cross-}
        fi
 fi
 is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
@@ -18,32 +18,38 @@ is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
 RPM=
 MY_PV=${PV}
 case ${PV} in
-*.*.*.*.*.*)
-       # fedora version: gdb-6.8.50.20090302-8.fc11.src.rpm
-       inherit versionator rpm
-       gvcr() { get_version_component_range "$@"; }
-       MY_PV=$(gvcr 1-4)
-       RPM="${PN}-${MY_PV}-$(gvcr 5).fc$(gvcr 6).src.rpm"
-       SRC_URI="mirror://fedora/development/source/SRPMS/${RPM}"
-       ;;
-*.*.50.*)
-       # weekly snapshots
-       
SRC_URI="ftp://sourceware.org/pub/gdb/snapshots/current/gdb-weekly-${PV}.tar.bz2";
-       ;;
 9999*)
        # live git tree
        EGIT_REPO_URI="git://sourceware.org/git/binutils-gdb.git"
        inherit git-2
        SRC_URI=""
        ;;
+*.*.50.2???????)
+       # weekly snapshots
+       
SRC_URI="ftp://sourceware.org/pub/gdb/snapshots/current/gdb-weekly-${PV}.tar.xz";
+       ;;
+*.*.*.*.*.*)
+       # fedora versions; note we swap the rpm & fedora core versions.
+       # gdb-6.8.50.20090302-8.fc11.src.rpm -> gdb-6.8.50.20090302.11.8.ebuild
+       # gdb-7.9-11.fc23.src.rpm -> gdb-7.9.23.11.ebuild
+       inherit versionator rpm
+       gvcr() { get_version_component_range "$@"; }
+       parse_fedora_ver() {
+               set -- $(get_version_components)
+               MY_PV=$(gvcr 1-$(( $# - 2 )))
+               RPM="${PN}-${MY_PV}-$(gvcr $#).fc$(gvcr $(( $# - 1 ))).src.rpm"
+       }
+       parse_fedora_ver
+       SRC_URI="mirror://fedora-dev/development/rawhide/source/SRPMS/g/${RPM}"
+       ;;
 *)
        # Normal upstream release
-       SRC_URI="mirror://gnu/gdb/${P}.tar.bz2
-               ftp://sourceware.org/pub/gdb/releases/${P}.tar.bz2";
+       SRC_URI="mirror://gnu/gdb/${P}.tar.xz
+               ftp://sourceware.org/pub/gdb/releases/${P}.tar.xz";
        ;;
 esac
 
-PATCH_VER="1"
+PATCH_VER=""
 DESCRIPTION="GNU debugger"
 HOMEPAGE="http://sourceware.org/gdb/";
 SRC_URI="${SRC_URI} 
${PATCH_VER:+mirror://gentoo/${P}-patches-${PATCH_VER}.tar.xz}"
@@ -54,20 +60,27 @@ if [[ ${PV} != 9999* ]] ; then
        KEYWORDS="amd64 arm ~mips ppc x86"
 fi
 IUSE="+client expat lzma multitarget nls +python +server test vanilla zlib"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="!dev-util/gdbserver
-       >=sys-libs/ncurses-5.2-r2
-       sys-libs/readline
-       expat? ( dev-libs/expat )
-       lzma? ( app-arch/xz-utils )
-       python? ( ${PYTHON_DEPS} )
-       zlib? ( sys-libs/zlib )"
+REQUIRED_USE="
+       python? ( ${PYTHON_REQUIRED_USE} )
+       || ( client server )
+"
+
+RDEPEND="server? ( !dev-util/gdbserver )
+       client? (
+               >=sys-libs/ncurses-5.2-r2:0=
+               sys-libs/readline:0=
+               expat? ( dev-libs/expat )
+               lzma? ( app-arch/xz-utils )
+               python? ( ${PYTHON_DEPS} )
+               zlib? ( sys-libs/zlib )
+       )"
 DEPEND="${RDEPEND}
        app-arch/xz-utils
-       virtual/yacc
-       test? ( dev-util/dejagnu )
-       nls? ( sys-devel/gettext )"
+       client? (
+               virtual/yacc
+               test? ( dev-util/dejagnu )
+               nls? ( sys-devel/gettext )
+       )"
 
 S=${WORKDIR}/${PN}-${MY_PV}
 
@@ -76,23 +89,13 @@ pkg_setup() {
 }
 
 src_prepare() {
-       epatch ${FILESDIR}/${PN}-7.4-linux-nat.patch
-       epatch ${FILESDIR}/${PN}-7.5.1-amd64-linux-nat.patch
-
        [[ -n ${RPM} ]] && rpm_spec_epatch "${WORKDIR}"/gdb.spec
-       use vanilla || [[ -n ${PATCH_VER} ]] && EPATCH_SUFFIX="patch" epatch 
"${WORKDIR}"/patch
+       ! use vanilla && [[ -n ${PATCH_VER} ]] && EPATCH_SUFFIX="patch" epatch 
"${WORKDIR}"/patch
+
+       epatch "${FILESDIR}"/${PN}-7.4-linux-nat.patch
+
        epatch_user
        strip-linguas -u bfd/po opcodes/po
-       if [[ ${CHOST} == *-darwin* ]] ; then
-               # make sure we have a python-config that matches our install,
-               # such that the python check doesn't fail just because the
-               # gdb-provided copy isn't quite what our python installed
-               # version is
-               rm -f "${S}"/gdb/python/python-config.py || die
-               pushd "${S}"/gdb/python > /dev/null || die
-               ln -s "${T}"/${EPYTHON}/bin/python-config python-config.py || 
die
-               popd > /dev/null || die
-       fi
 }
 
 gdb_branding() {
@@ -109,7 +112,7 @@ src_configure() {
 
        local myconf=(
                --with-pkgversion="$(gdb_branding)"
-               --with-bugurl='http://bugs.gentoo.org/'
+               --with-bugurl='https://bugs.gentoo.org/'
                --disable-werror
                # Disable modules that are in a combined binutils/gdb tree. 
#490566
                --disable-{binutils,etc,gas,gold,gprof,ld}
@@ -118,6 +121,7 @@ src_configure() {
        is_cross && myconf+=(
                --with-sysroot="${sysroot}"
                --includedir="${sysroot}/usr/include"
+               --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
        )
 
        if use server && ! use client ; then
@@ -170,7 +174,13 @@ src_install() {
 
        # Don't install docs when building a cross-gdb
        if [[ ${CTARGET} != ${CHOST} ]] ; then
-               rm -r "${ED}"/usr/share
+               rm -r "${ED}"/usr/share/{doc,info,locale}
+               local f
+               for f in "${ED}"/usr/share/man/*/* ; do
+                       if [[ ${f##*/} != ${CTARGET}-* ]] ; then
+                               mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
+                       fi
+               done
                return 0
        fi
        # Install it by hand for now:

Reply via email to